#!/bin/bash

export IFS=$'\n'
mkdir -p build

if [[ ! -e build/res ]]; then
    ln -s ../res build/res
fi

SRC_FILES=($(find src/ -iname "*.c" -or -iname "*.cpp"))

g++ -g -fdiagnostics-color=always \
    -Iinclude \
	${SRC_FILES[@]} \
    mybox.cpp \
	-ldl -lglfw -lGL -lX11 -lpthread -lXrandr -lXi -lm \
    -o build/main

